import { Injectable } from '@angular/core';
import { ReplaySubject } from 'rxjs';
import { PendingInterceptorService } from './pending-interceptor.service';
export class SpinnerVisibilityService {
    constructor(pendingInterceptorService) {
        this.pendingInterceptorService = pendingInterceptorService;
        this._visibilitySubject = new ReplaySubject(1);
    }
    get visibilityObservable() {
        return this._visibilitySubject.asObservable();
    }
    show() {
        this.pendingInterceptorService.forceByPass = true;
        this._visibilitySubject.next(true);
    }
    hide() {
        this._visibilitySubject.next(false);
        this.pendingInterceptorService.forceByPass = false;
    }
}
SpinnerVisibilityService.decorators = [
    { type: Injectable },
];
SpinnerVisibilityService.ctorParameters = () => [
    { type: PendingInterceptorService, },
];
function SpinnerVisibilityService_tsickle_Closure_declarations() {
    SpinnerVisibilityService.decorators;
    SpinnerVisibilityService.ctorParameters;
    SpinnerVisibilityService.prototype._visibilitySubject;
    SpinnerVisibilityService.prototype.pendingInterceptorService;
}
export function SpinnerVisibilityServiceFactory(pendingInterceptorService) {
    return new SpinnerVisibilityService(pendingInterceptorService);
}
export let SpinnerVisibilityServiceFactoryProvider = {
    provide: SpinnerVisibilityService,
    useFactory: SpinnerVisibilityServiceFactory,
    deps: [PendingInterceptorService]
};
//# sourceMappingURL=spinner-visibility.service.js.map